﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;

namespace PanelBarSample
{
    public partial class MainPage : UserControl
    {
        RadPanelBar bar;
        public MainPage()
        {
            InitializeComponent();
			this.radPanelBar.ItemsSource = GenerateItems();
        }

		public static IList<object> GenerateItems()
		{
			var result = new ObservableCollection<object>();
			foreach (var num in Enumerable.Range(1, 30))
			{
				var item = new MyViewModel();
				item.DateCreated = DateTime.Today.AddDays(-num % 15);
				item.Price = num * 100 + Convert.ToDouble(num) / 100;
				item.Title = String.Format("Item {0}", num);
				for (int i = 0; i < 10; i++)
				{
					var child = new MyViewModel();
					child.DateCreated = DateTime.Today.AddDays(-num % 5 - i);
					child.Price = num * 100 + Convert.ToDouble(num + i) / 100;
					child.Title = String.Format("Item {0}.{1}", num, i);
					item.RelatedItems.Add(child);
				}
				result.Add(item);
			}
			return result;
		}
    }
}
